import {
  a,
  c as u
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/xml-doc.js
var l = u((p, m) => {
  m.exports = n;
  n.displayName = "xmlDoc";
  n.aliases = [];
  function n(r) {
    (function(e) {
      function t(c, g) {
        e.languages[c] && e.languages.insertBefore(c, "comment", {
          "doc-comment": g
        });
      }
      a(t, "insertDocComment");
      var o = e.languages.markup.tag, s = {
        pattern: /\/\/\/.*/,
        greedy: !0,
        alias: "comment",
        inside: {
          tag: o
        }
      }, i = {
        pattern: /'''.*/,
        greedy: !0,
        alias: "comment",
        inside: {
          tag: o
        }
      };
      t("csharp", s), t("fsharp", s), t("vbnet", i);
    })(r);
  }
  a(n, "xmlDoc");
});

export {
  l as a
};
